Add wayland-scanner to 'make check'
Closed, ResolvedPublic

Description

I would like to have a test in Wayland that would notice all changes to wayland-scanner output.

Proposal:

  • create an input.xml file, e.g. copying wayland.xml and/or copying parts of all Weston's protocol specs.
  • process that input file in various ways with wayland-scanner, and save the resulting files
  • write a set of tests that run the same wayland-scanner invocations with the same input, and comparer the output to the saved files; fail if not identical.

Benefits:

  • prevents accidental changes to wayland-scanner output
  • patches to wayland-scanner are required to fix also the reference files, which shows reviewers how the output changes
pq created this task.Aug 14 2015, 10:55 AM
pq updated the task description. (Show Details)
pq raised the priority of this task from to Needs Triage.
pq added a project: Wayland.
pq added a subscriber: pq.
pq triaged this task as Enhancement priority.Oct 12 2015, 10:13 AM
pq changed the task status from Open to In Progress.Oct 7 2016, 9:41 AM
pq claimed this task.

I have a patch that's almost ready.

pq changed the task status from In Progress to To Review.Nov 10 2016, 10:10 AM

Patches sent.